import Konva from "konva";

export const sljh=function (width,height){

  const layer=new Konva.Layer({
    id:'2',
    x:15,
    y:65,
  })
  layer.clipFunc(function(ctx) {
    ctx.rect(0, 0, width-30, height*0.2-60);
  });
  //layer.draw()

  const group=new Konva.Group({
    x:0,
    y:0,
    width: width-30,
    height: height*0.2-60,
    draggable: true,
    dragBoundFunc:function (pos){
      return {
        x:pos.x,
        y:65
      }
    },
  });
  layer.add(group)

  return {
    layer,group
  }
}
